﻿@model StarterProjectV2.ViewModels.InventoryView
@{
    ViewBag.Title = "Inventory Room Create";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>

}
@section PAGETITLE{
    Inventory Create
}
<body style="background-color: oldlace">
<div class="row justify-content-center mt-4">
    @* Hello*@
    <div class="card col-12">
        <div class="card-body">
            <h1 class="text-center mb-5" style="color:cadetblue">Inventory Room Create Form</h1>
            <p class="text-muted"></p>
            <div>
                @using (Html.BeginForm("InventoryAddorEdit", "Configuration", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                {

                    <div class="form-group row mb-3" style="display: flex; justify-content: center">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Inventory Count</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.InventoryCount, new { @class = "form-control", name = "InventoryCount", type = "number", id = "InventoryCount", @required = "req" })
                        </div>

                    </div>
                    <div class="form-group row mb-3" style="display: flex; justify-content: center">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">From Date</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.FromDate, new { @class = "form-control", name = "FromDate", type = "date", id = "FromDate", @required = "req" })
                        </div>

                    </div>
                    <div class="form-group row mb-3" style="display: flex; justify-content: center">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">To Date</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.ToDate, new { @class = "form-control", name = "ToDate", type = "date", id = "ToDate", @required = "req" })
                        </div>

                    </div>
                    @*<div class="form-group row mb-3" style="display: flex; justify-content: center">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Created At</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.CreatedAt, new { @class = "form-control", name = "CreatedAt", type = "date", id = "CreatedAt", @required = "req" })
                        </div>
                    </div>*@

                    <hr />

                    @*@Html.HiddenFor(m => m.ConfAllotmentID, new { @id = "ConfAllotmentID" })*@
                    <div class="row" style="justify-content: center">
                        <div>
                            <button type="submit" class="btn btn-primary m-1" onclick="full_submit()">Submit</button>
                        </div>
                        <div>
                            <button type="button" class="btn btn-danger m-1">Cancel</button>
                        </div>
                        <div>
                            <button type="button" class="btn btn-primary m-1" onclick="javascript:window.history.back();">
                                <i class="fa fa-angle-left"></i> Back
                            </button>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>
    </body>
<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });
    $(document).ready(function () {
        $("#newItem").remove();

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });
        $('#reportItem').remove();
        $('#dashboardItem').remove();

    });
</script>


